searchData={"items":[{"type":"module","title":"Minisign","doc":"Elixir implementation of the Minisign signature verification format.\n\nsee https://jedisct1.github.io/minisign/","ref":"Minisign.html"},{"type":"function","title":"Minisign.verify/3","doc":"verifies a signature, returning `:ok` if the signature is valid.\n\nif the signature is invalid, returns an `:invalid` tuple indicating the\nreason why the signature failed to validate.\n\nif any of the inputs have failed, returns an `:error` tuple.\n\nFor the key or signature inputs you may provide Base64 encoded strings, or a\n`{:file, path}` tuple to read from a file or a preparsed datastructure.\n\nFor the message input, you may either provide the raw binary or, a `{:file, path}`\ntuple to read the message from the file.","ref":"Minisign.html#verify/3"},{"type":"function","title":"Minisign.verify!/3","doc":"verifies a signature, and raises if any of the inputs are invalid.","ref":"Minisign.html#verify!/3"},{"type":"type","title":"Minisign.message_input/0","doc":"","ref":"Minisign.html#t:message_input/0"},{"type":"type","title":"Minisign.public_key_input/0","doc":"","ref":"Minisign.html#t:public_key_input/0"},{"type":"type","title":"Minisign.reason/0","doc":"","ref":"Minisign.html#t:reason/0"},{"type":"type","title":"Minisign.signature_input/0","doc":"","ref":"Minisign.html#t:signature_input/0"},{"type":"module","title":"Minisign.PublicKey","doc":"","ref":"Minisign.PublicKey.html"},{"type":"function","title":"Minisign.PublicKey.__struct__/0","doc":"Public key datastructure for minisign.\n\nfields:\n\n- `:algorithm`: always `:Ed`\n- `:key_id`: 8 byte key id\n- `:key`: 32 byte public key\n\nsee https://jedisct1.github.io/minisign/#public-key-format","ref":"Minisign.PublicKey.html#__struct__/0"},{"type":"function","title":"Minisign.PublicKey.parse/1","doc":"parses a public key string.  Note that the untrusted comment field is considered\noptional, as many sources will include a public key as a simple base64 hash with\nno comment.","ref":"Minisign.PublicKey.html#parse/1"},{"type":"function","title":"Minisign.PublicKey.parse!/1","doc":"parses a public key string, or raises if the string is not a public key representation\n\nsee `parse/1`","ref":"Minisign.PublicKey.html#parse!/1"},{"type":"type","title":"Minisign.PublicKey.t/0","doc":"","ref":"Minisign.PublicKey.html#t:t/0"},{"type":"module","title":"Minisign.Signature","doc":"Datastructure representing a minisign signature.\n\nfields: \n\n- `:algorithm`: always `:ED` (note the capitalization)\n- `:trusted_comment`: (string) the trusted comment\n- `:key_id`: (binary) 8 byte key id\n- `:signature`: (binary) 64 byte signature\n- `:global_signature`: (binary) 64 byte global signature\n\nsee https://jedisct1.github.io/minisign/#signature-format","ref":"Minisign.Signature.html"},{"type":"function","title":"Minisign.Signature.parse/1","doc":"parses a signature string, and returns the resulting struct if it's valid.","ref":"Minisign.Signature.html#parse/1"},{"type":"function","title":"Minisign.Signature.parse!/1","doc":"parses a signature string, or raises if the string is not a signature representation\n\nsee `parse/1`","ref":"Minisign.Signature.html#parse!/1"},{"type":"type","title":"Minisign.Signature.t/0","doc":"","ref":"Minisign.Signature.html#t:t/0"},{"type":"exception","title":"Minisign.ParseError","doc":"","ref":"Minisign.ParseError.html"},{"type":"function","title":"Minisign.ParseError.message/1","doc":"","ref":"Minisign.ParseError.html#message/1"},{"type":"type","title":"Minisign.ParseError.t/0","doc":"","ref":"Minisign.ParseError.html#t:t/0"},{"type":"extras","title":"Minisign","doc":"# Minisign\n\nLibrary for verifying files in the minisign format:\n\nhttps://jedisct1.github.io/minisign","ref":"readme.html"},{"type":"extras","title":"Installation - Minisign","doc":"The package can be installed by adding `minisign` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:minisign, \"~> 0.1.0\"}\n  ]\nend\n```\n\nDocs can be found at  .","ref":"readme.html#installation"}],"content_type":"text/markdown"}